LibreOffice: XSecurityEnvironment Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XSecurityEnvironment Interface Reference

Interface of Security Environment. More...

Inheritance diagram for XSecurityEnvironment:

## Public Member Functions
sequence< com::sun::star::security::XCertificate > | getPersonalCertificates () raises ( com::sun::star::uno::SecurityException )
| Get personal certificates from the environment.
com::sun::star::security::XCertificate | getCertificate ([in] string issuerName, [in] sequence< byte > serialNumber) raises ( com::sun::star::uno::SecurityException )
| Get certificate from the environment by issuer name and serial number.
sequence< com::sun::star::security::XCertificate > | buildCertificatePath ([in] com::sun::star::security::XCertificate beginCert) raises ( com::sun::star::uno::SecurityException )
| Build certificate path from a certain certificate.
com::sun::star::security::XCertificate | createCertificateFromRaw ([in] sequence< byte > rawCertificate) raises ( com::sun::star::uno::SecurityException )
| Create certificate interface from raw DER encoded certificate.
com::sun::star::security::XCertificate | createCertificateFromAscii ([in] string asciiCertificate) raises ( com::sun::star::uno::SecurityException )
| Create certificate interface from a Base64 encoded certificate.
long | verifyCertificate ([in] com::sun::star::security::XCertificate xEECertificate, [in] sequence< com::sun::star::security::XCertificate > intermediateCertificates) raises ( com::sun::star::uno::SecurityException )
| Verify a certificate.
long | getCertificateCharacters ([in] com::sun::star::security::XCertificate xCertificate) raises ( com::sun::star::uno::SecurityException )
| Get a certificate characters.
string | getSecurityEnvironmentInformation ()
| Get the Environment detail information.
sequence< com::sun::star::security::XCertificate > | getAllCertificates () raises ( com::sun::star::uno::SecurityException )
| List all certificates, private (as returned by getPersonalCertificates) as well as those of other people/orgas.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Interface of Security Environment.

## Member Function Documentation

## ◆ buildCertificatePath()

sequence< com::sun::star::security::XCertificate > buildCertificatePath | ( | [in] com::sun::star::security::XCertificate | beginCert | ) |
raises | ( | com::sun::star::uno::SecurityException
| ) |  |

Build certificate path from a certain certificate.

## ◆ createCertificateFromAscii()

com::sun::star::security::XCertificate createCertificateFromAscii | ( | [in] string | asciiCertificate | ) |
raises | ( | com::sun::star::uno::SecurityException
| ) |  |

Create certificate interface from a Base64 encoded certificate.

## ◆ createCertificateFromRaw()

com::sun::star::security::XCertificate createCertificateFromRaw | ( | [in] sequence< byte > | rawCertificate | ) |
raises | ( | com::sun::star::uno::SecurityException
| ) |  |

Create certificate interface from raw DER encoded certificate.

## ◆ getAllCertificates()

sequence< com::sun::star::security::XCertificate > getAllCertificates | ( |  | ) |
raises | ( | com::sun::star::uno::SecurityException
| ) |  |

List all certificates, private (as returned by getPersonalCertificates) as well as those of other people/orgas.

Since
  LibreOffice 6.0

## ◆ getCertificate()

com::sun::star::security::XCertificate getCertificate | ( | [in] string | issuerName,
|  | [in] sequence< byte > | serialNumber
| ) |  |
raises | ( | com::sun::star::uno::SecurityException
| ) |  |

Get certificate from the environment by issuer name and serial number.

## ◆ getCertificateCharacters()

long getCertificateCharacters | ( | [in] com::sun::star::security::XCertificate | xCertificate | ) |
raises | ( | com::sun::star::uno::SecurityException
| ) |  |

Get a certificate characters.

The method provides a way to get certificate characters like:

1. Whether or not the certificate have a private key in the user profile.
2. Whether or not the certificate is a trusted certificate.
3. Whether or not the certificate is a self-signed certificate.

The certificate characters is defined as bit-wise long, please refer to CertificateCharacters definition.

## ◆ getPersonalCertificates()

sequence< com::sun::star::security::XCertificate > getPersonalCertificates | ( |  | ) |
raises | ( | com::sun::star::uno::SecurityException
| ) |  |

Get personal certificates from the environment.

## ◆ getSecurityEnvironmentInformation()

string getSecurityEnvironmentInformation | ( |  | ) |

Get the Environment detail information.

## ◆ verifyCertificate()

long verifyCertificate | ( | [in] com::sun::star::security::XCertificate | xEECertificate,
|  | [in] sequence< com::sun::star::security::XCertificate > | intermediateCertificates
| ) |  |
raises | ( | com::sun::star::uno::SecurityException
| ) |  |

Verify a certificate.

The method provides a way to verify a certificate.

Parameters

  xEECertificate | The certificate which is to be validated.
  intermediateCertificates | Additional certificates which can be used by the method in constructing the certificate chain. The root certificate may also be contained. However, the implementation must check if the root certificate is indeed trusted by the user. All entries of the sequence must be non-null references.

Returns
  The validation status will returned as a bit-wise long, please refer to CertificateValidity definition.

The documentation for this interface was generated from the following file:

- com/sun/star/xml/crypto/XSecurityEnvironment.idl